Bug 46768 - '?'considered an invalid character by rhn_register
Summary: '?'considered an invalid character by rhn_register
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration   
(Show other bugs)
Version: unspecified
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-30 10:50 UTC by Jon Ferguson
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-30 10:50:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Ferguson 2001-06-30 10:50:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
The web version of registration can except '?' in passwords, rhn_register
cannot.  Error dialog:  The server indicated an error:
	ERROR: The username contains invalid characters.
	 INFO: password contains character '?'

How reproducible:
Always

Steps to Reproduce:
1.run rhn_register
2. fill out name and password using an '?'
3. press next.. Error dialog pops up
	

Actual Results:  Error dialog pops up..

Expected Results:  No error.. web version accepts.

Additional info:

Comment 1 Cristian Gafton 2001-07-05 22:23:56 UTC
Fixed in development, new code will be deployed soon



Note You need to log in before you can comment on or make changes to this bug.